Subject: [tcpm] draft-gont-tcpm-tcp-seq-validation

From: Rui Paulo <[email-masked]>
Date: Wed, 11 Sep 2013 10:08:23 -0700

Hi,

I've been asked to review draft-gont-tcpm-tcp-seq-validation. Below are my comments. In general the draft looks good. Section 4.1 is a bit hard to review given that the text is repeated. This is something we can review again in the next draft version.

* "and thus elicits a ACK segment" -> "an ACK" 

* Section 3.4 says " (Failed) Simultaneous Connection Termination" in the TCP time sequence ASCII

* Section 4.1.  TCP sequence number validation -> text is repeated

* Section 7 doesn't look like an acknowledgement.

--
Rui Paulo

---

From: Yoshifumi Nishida <[email-masked]>
Date: Wed, 11 Sep 2013 13:43:13 -0700

Hi Rui,

Thanks for the review.
I think Section 4.1 is the critical part of the draft. If there is
something we can improve this section for the next draft or if you see
some potential risks there, please let us know.

Regards,
--
Yoshifumi

---

From: Fernando Gont <[email-masked]>
Date: Wed, 11 Sep 2013 18:04:18 -0300

Hi, Rui,

Thanks so much for the review! Please find my comments inline...

> the TCP time sequence ASCII

mm.. yes.. anything I'm missing?

> * Section 4.1.  TCP sequence number validation -> text is repeated

Yes. I guess the question here is what style we should use to do the update.

In other documents I authored in the past, I was asked to quote the text
to be replaced, and then the text it should be replaced with -- that's
why you see "duplicate" text.

Two possible improvements are:

* Indent the quoted text (although the indentation will mean that the
quoted text won't look the same as in RFC793, because the length of each
line would increase as a result of indentation, and hence they'd have to
be rewrapped), or,

* Try to quote only the specific sentences and tables to be replaced --
although this would make the text/spec harder to read.

Thoughts?

> * Section 7 doesn't look like an acknowledgement.

Yep. This will be fixed in the next rev.

Thanks!

Cheers,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: Rui Paulo <[email-masked]>
Date: Wed, 11 Sep 2013 14:41:41 -0700

> mm.. yes.. anything I'm missing?

It should say "Simultaneous Window Probes”.

> although this would make the text/spec harder to read.

OK, I understand it now. How about underlining the differences somehow or putting “=>” marks next to the areas that changed?

--
Rui Paulo

---

From: Rui Paulo <[email-masked]>
Date: Wed, 11 Sep 2013 15:22:30 -0700

> some potential risks there, please let us know.

The text looks good. The tables also look good to me.

--
Rui Paulo

---

From: Yoshifumi Nishida <[email-masked]>
Date: Wed, 11 Sep 2013 19:26:54 -0700

Hi Rui,

Thanks! This is good feedback for us.
--
Yoshifumi